Subject: Re: bug#65177: udevd error with lvm-raid array leading to race condition with luks

From: Josselin Poiret <[email-masked]>
Date: Thu, 10 Aug 2023 10:02:22 +0200

Hi Adrien,

Adrien 'neox' Bourmault <[email-masked]> writes:

>    Aug  9 11:40:27 localhost vmunix: [    7.525877] udevd[515]: failed 
> to execute '/usr/bin/systemd-run' '/usr/bin/systemd-run --no-block 
> --property DefaultDependencies=no --unit lvm-activate-HOMERAID 
> /gnu/store/hffkn63zx2zjadawrkxpnr486frc9n74-lvm2-2.03.21/sbin/lvm 
> vgchange -aay --autoactivation event HOMERAID': No such file or directory

Since lvm2 2.03.14, the included udev rules use systemd-run to run
vgchange and activate the volume group.  lvm2 was updated recently from
2.03.11 to 2.03.21, then 2.03.22 (cc'ing tobias), and probably started
exhibiting this behavior then.  I think we can probably remove the
indirection through systemd-run and directly run vgchange.

Best,
-- 
Josselin Poiret